SORT(1)

BEZEICHNUNG
sort - Zeilen von Textdateien sortieren

ÜBERSICHT
sort [OPTION]... [DATEI]...
sort [OPTION]... --files0-from=D

BESCHREIBUNG

Sortierte Verkettung aller DATEI(en) in die Standardausgabe schreiben.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich. Sortieroptionen:

-b, --ignore-leading-blanks
    Führende Leerzeichen ignorieren

-d, --dictionary-order
    Nur Leer‐ und alphanumerische Zeichen berücksichtigen

-f, --ignore-case
    Klein‐ als Großbuchstaben behandeln

-g, --general-numeric-sort
    Anhand des allgemeinen numerischen Wertes vergleichen

-i, --ignore-nonprinting
    Nur druckbare Zeichen berücksichtigen

-M, --month-sort
    Reihenfolge: (unbekannt) < »JAN« < ... < »DEZ«

-h, --human-numeric-sort
    Vergleicht menschenlesbare Zahlen (z. B. 2K 1G)

-n, --numeric-sort
    Anhand des numerischen Werts der Zeichenkette vergleichen

-R, --random-sort
    Anhand einer zufälligen Schlüsselprüfsumme sortieren

--random-source=DATEI
    Zufällige Byte aus DATEI nehmen

-r, --reverse
    Das Ergebnis der Vergleiche umkehren

--sort=WORT
    Gemäß WORT sortieren: general-numeric -g, human-numeric -h, month -M, numeric -n, random -R, version -V

-V, --version-sort
    Natürliche Sortierung von (Versions)nummern im Text

Andere Optionen:

--batch-size=ANZAHL
    Höchstens ANZAHL Eingaben gleichzeitig zusammenführen; bei mehr Eingaben temporäre Dateien benutzen

-c, --check, --check=diagnose-first
    Überprüfen, ob die Eingabe sortiert ist; nicht sortieren

-C, --check=quiet, --check=silent
    Wie -c, aber erste schlechte Zeile nicht melden

--compress-program=PROG
    Temporäre Dateien mit PROG komprimieren; mit PROG -d wieder entpacken

--debug
    Den Teil der Zeile, der für die Sortierung benutzt wurde, mit Kommentar beschriften und bei fraglicher Verwendung eine Warnung auf die Standardfehlerausgabe schreiben

--files0-from=D
    Eingabe aus Dateien lesen, deren Namen NULL-terminiert in der Datei D aufgeführt sind; wenn D »-« ist, wird aus der Standardeingabe gelesen

-k, --key=SCHLÜSSELDEF
    Anhand eines Schlüssels sortieren; SCHLÜSSELDEF legt Position und Art fest

-m, --merge
    Bereits sortierte Dateien zusammenführen; nicht sortieren

-o, --output=DATEI
    Ergebnis in DATEI statt in die Standardausgabe schreiben

-s, --stable
    Sortierung stabilisieren, indem der Rückzugsvergleich deaktiviert wird

-S, --buffer-size=GRÖSSE
    GRÖSSE für Hauptspeicherpuffer benutzen

-t, --field-separator=TRENN
    TRENN benutzen statt des Übergangs von Nichtleerraum zu Leerraum

-T, --temporary-directory=VERZ
    Für temporäre Dateien wird VERZ statt $TMPDIR oder /tmp verwendet; mehrfache Optionen geben mehrere Verzeichnisse an

--parallel=N
    Ändern der Anzahl der gleichzeitig laufenden Sortierungen auf N

-u, --unique
    Mit -c auf strikte Ordnung prüfen; ohne -c nur den Ersten von mehreren Gleichen ausgeben

-z, --zero-terminated
    Zeilen mit Nullbyte (NUL) beenden, nicht mit Zeilenumbruch

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

SCHLÜSSELDEF ist F[.Z][OPTS][,F[.Z][OPTS]] für die Anfangs- und Endposition, wobei F eine Feldnummer und Z eine Zeichenposition im Feld ist; beide starten bei 1 und die Endposition ist in der Voreinstellung das Zeilenende. Wenn weder -t noch -b angegeben sind, werden die Zeichen in einem Feld ausgehend vom Anfang des vorhergehenden Leerraums gezählt. OPTS setzt sich zusammen aus einer oder mehreren Ordnungsoptionen mit einem Buchstaben [bdfgiMhnRrV], die die globalen Ordnungsoptionen für diesen Schlüssel außer Kraft setzen. Wenn kein Schlüssel angegeben wurde, wird die ganze Zeile als Schlüssel benutzt.

GRÖSSE kann von einer der folgenden multiplikativen Endungen gefolgt werden: % 1% des Speichers, b 1, K 1024 (Vorgabe) und so weiter für M, G, T, P, E, Z, Y.

Ohne DATEI oder wenn DATEI »-« ist, Standardeingabe lesen.

*** WARNUNG *** Die in der Umgebung eingestellte Locale beeinflusst die Sortierreihenfolge. Setzen Sie LC_ALL=C, um die traditionelle Sortierreihenfolge zu aktivieren, bei der native Bytewerte verwendet werden.

Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/> Berichten Sie Fehler in der Übersetzung von sort an <http://translationproject.org/team/de.html>

AUTOR
Geschrieben von Mike Haertel und Paul Eggert.

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
uniq(1)

Die vollständige Dokumentation für sort wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und sort auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'sort invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.